package com.gyee.frame.service;

import com.gyee.frame.common.base.BaseService;
import com.gyee.frame.common.support.Convert;
import com.gyee.frame.mapper.auto.AlarmcountMapper;
import com.gyee.frame.model.auto.Alarmcount;
import com.gyee.frame.model.auto.AlarmcountExample;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


@Service
public class AlarmcountService implements BaseService<Alarmcount, AlarmcountExample> {
	@Resource
	private AlarmcountMapper alarmcountMapper;
	

	@Override
	public int deleteByPrimaryKey(String ids) {
				
			List<Integer> lista=Convert.toIntArrayList(ids);
			AlarmcountExample example=new AlarmcountExample();
			example.createCriteria().andIdIn(lista);
			return alarmcountMapper.deleteByExample(example);
			
				
	}
	
	
	@Override
	public Alarmcount selectByPrimaryKey(String id) {
				
			return new Alarmcount();
				
	}

	
	@Override
	public int updateByPrimaryKeySelective(Alarmcount record) {
		return 0;
	}
	
	
	/**
	 * 添加
	 */
	@Override
	public int insertSelective(Alarmcount record) {
				

				
		return alarmcountMapper.insertSelective(record);
	}
	
	
	@Override
	public int updateByExampleSelective(Alarmcount record, AlarmcountExample example) {
		
		return alarmcountMapper.updateByExampleSelective(record, example);
	}

	
	@Override
	public int updateByExample(Alarmcount record, AlarmcountExample example) {
		
		return alarmcountMapper.updateByExample(record, example);
	}

	@Override
	public List<Alarmcount> selectByExample(AlarmcountExample example) {
		
		return alarmcountMapper.selectByExample(example);
	}

	
	@Override
	public long countByExample(AlarmcountExample example) {
		
		return alarmcountMapper.countByExample(example);
	}

	
	@Override
	public int deleteByExample(AlarmcountExample example) {
		
		return alarmcountMapper.deleteByExample(example);
	}
	

}
